# event.h File Reference

`#include "text.h"`

Include dependency graph for event.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | FAXPP_AttrValue_s
| An item in a linked list of a FAXPP_Attribute object's value. More...
struct | FAXPP_Attribute
| An attribute, part of the FAXPP_Event object. More...
struct | FAXPP_Event
| A structure containing event information, returned by the parser. More...
## Typedefs
typedef struct FAXPP_AttrValue_s | FAXPP_AttrValue
## Enumerations
enum | FAXPP_EventType { NO_EVENT, START_DOCUMENT_EVENT, END_DOCUMENT_EVENT, DOCTYPE_EVENT, START_ELEMENT_EVENT, SELF_CLOSING_ELEMENT_EVENT, END_ELEMENT_EVENT, CHARACTERS_EVENT, CDATA_EVENT, IGNORABLE_WHITESPACE_EVENT, COMMENT_EVENT, PI_EVENT, ENTITY_REFERENCE_EVENT, DEC_CHAR_REFERENCE_EVENT, HEX_CHAR_REFERENCE_EVENT, ENTITY_REFERENCE_START_EVENT, ENTITY_REFERENCE_END_EVENT, START_EXTERNAL_ENTITY_EVENT, END_EXTERNAL_ENTITY_EVENT }
| An enumeration of the event types returned by the parser. More...
## Functions
const char * | FAXPP_event_to_string (FAXPP_EventType type)
| Returns a string describing the given event type.

## Typedef Documentation

typedef struct FAXPP_AttrValue_s FAXPP_AttrValue

## Enumeration Type Documentation

enum FAXPP_EventType

An enumeration of the event types returned by the parser.

Enumerator:

  NO_EVENT |
  START_DOCUMENT_EVENT |
  END_DOCUMENT_EVENT |
  DOCTYPE_EVENT |
  START_ELEMENT_EVENT |
  SELF_CLOSING_ELEMENT_EVENT |
  END_ELEMENT_EVENT |
  CHARACTERS_EVENT |
  CDATA_EVENT |
  IGNORABLE_WHITESPACE_EVENT |
  COMMENT_EVENT |
  PI_EVENT |
  ENTITY_REFERENCE_EVENT | Reference to an external parsed entity that has not been parsed yet, or a built in entity.
  DEC_CHAR_REFERENCE_EVENT |
  HEX_CHAR_REFERENCE_EVENT |
  ENTITY_REFERENCE_START_EVENT | Delimits the start of an expanded entity reference.
  ENTITY_REFERENCE_END_EVENT | Delimits the end of an expanded entity reference.
  START_EXTERNAL_ENTITY_EVENT | Occurs when an external entity parsed by the user starts.
  END_EXTERNAL_ENTITY_EVENT | Occurs when an external entity parsed by the user ends.

Definition at line 23 of file event.h.

## Function Documentation

const char * FAXPP_event_to_string | ( | FAXPP_EventType | type | ) |

Returns a string describing the given event type.

Parameters:

  | type | The event type

Returns:
  a string